osl::record::KisenWriter Class Reference

`#include <kisen.h>`

## Public Member Functions

| KisenWriter (std::ostream &ostream)
void | save (const RecordMinimal &)

## Private Attributes

std::ostream & | os

## Detailed Description

Definition at line 115 of file kisen.h.

## Constructor & Destructor Documentation

## KisenWriter()

osl::record::KisenWriter::KisenWriter | ( | std::ostream & | ostream | ) |

inline

Definition at line 118 of file kisen.h.

References os.

## Member Function Documentation

## save()

void osl::record::KisenWriter::save | ( | const RecordMinimal & | record | ) |

Definition at line 282 of file kisen.cc.

References osl::record::KisenUtils::convertSquare(), osl::SimpleState::countPiecesOnStand(), osl::Move::from(), osl::Move::isDrop(), osl::Move::isPromotion(), osl::NumEffectState::makeMove(), osl::PieceStand::order, os, osl::Move::player(), osl::Move::ptype(), and osl::Move::to().

## Member Data Documentation

## os

std::ostream& osl::record::KisenWriter::os

private

Definition at line 121 of file kisen.h.

Referenced by KisenWriter(), and save().

The documentation for this class was generated from the following files:

- kisen.h
- kisen.cc